package com.goldenwater.slaj.hidd.service;

import java.util.List;
import com.goldenwater.slaj.hidd.domain.ObjEng;

/**
 * 工程信息 服务层
 */
public interface IObjEngService {

    /**
     * 查询工程信息信息
     * @param guid 查询条件
     * @return 工程信息信息
     */
    ObjEng selectObjEngByGuid(String guid);

    /**
     * 查询工程信息列表
     * @param objEng 工程信息查询条件
     * @return 工程信息集合
     */
    List<ObjEng> selectObjEngList(ObjEng objEng);

    /**
     * 新增工程信息
     * @param objEng 工程信息信息
     * @return 影响行数
     */
    int insertObjEng(ObjEng objEng);

    /**
     * 修改工程信息
     * @param objEng 工程信息信息
     * @return 影响行数
     */
    int updateObjEng(ObjEng objEng);

    /**
     * 删除工程信息
     * @param guid 工程信息主键
     * @return 影响行数
     */
    int deleteObjEngByGuid(String guid);

    /**
     * 批量删除工程信息
     * @param guids 工程信息主键数组
     * @return 影响行数
     */
    int deleteObjEngByGuids(String[] guids);
}
